package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 红外遥控基础库管理对象 t_basic_library
 * 
 * @author liming
 * @date 2023-07-12
 */
public class BasicLibrary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 基本库id */
    private Long id;

    /** 基本库名 */
    @Excel(name = "基本库名")
    private String name;

    /** 引导码-高电平 */
    @Excel(name = "引导码-高电平")
    private Long bootCodeHigh;

    /** 引导码-低电平 */
    @Excel(name = "引导码-低电平")
    private Long bootCodeLow;

    /** 引导码-发送次数 */
    @Excel(name = "引导码-发送次数")
    private Long bootCodeSendNum;

    /** 同步码间隔时间-高电平 */
    @Excel(name = "同步码间隔时间-高电平")
    private Long syncCodeIntervalHigh;

    /** 同步码间隔时间-低电平 */
    @Excel(name = "同步码间隔时间-低电平")
    private Long syncCodeIntervalLow;

    /** 数据0-高电平 */
    @Excel(name = "数据0-高电平")
    private Long data0High;

    /** 数据0-低电平 */
    @Excel(name = "数据0-低电平")
    private Long data0Low;

    /** 数据1-高电平 */
    @Excel(name = "数据1-高电平")
    private Long data1High;

    /** 数据1-低电平 */
    @Excel(name = "数据1-低电平")
    private Long data1Low;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setBootCodeHigh(Long bootCodeHigh) 
    {
        this.bootCodeHigh = bootCodeHigh;
    }

    public Long getBootCodeHigh() 
    {
        return bootCodeHigh;
    }
    public void setBootCodeLow(Long bootCodeLow) 
    {
        this.bootCodeLow = bootCodeLow;
    }

    public Long getBootCodeLow() 
    {
        return bootCodeLow;
    }
    public void setBootCodeSendNum(Long bootCodeSendNum) 
    {
        this.bootCodeSendNum = bootCodeSendNum;
    }

    public Long getBootCodeSendNum() 
    {
        return bootCodeSendNum;
    }
    public void setSyncCodeIntervalHigh(Long syncCodeIntervalHigh) 
    {
        this.syncCodeIntervalHigh = syncCodeIntervalHigh;
    }

    public Long getSyncCodeIntervalHigh() 
    {
        return syncCodeIntervalHigh;
    }
    public void setSyncCodeIntervalLow(Long syncCodeIntervalLow) 
    {
        this.syncCodeIntervalLow = syncCodeIntervalLow;
    }

    public Long getSyncCodeIntervalLow() 
    {
        return syncCodeIntervalLow;
    }
    public void setData0High(Long data0High) 
    {
        this.data0High = data0High;
    }

    public Long getData0High() 
    {
        return data0High;
    }
    public void setData0Low(Long data0Low) 
    {
        this.data0Low = data0Low;
    }

    public Long getData0Low() 
    {
        return data0Low;
    }
    public void setData1High(Long data1High) 
    {
        this.data1High = data1High;
    }

    public Long getData1High() 
    {
        return data1High;
    }
    public void setData1Low(Long data1Low) 
    {
        this.data1Low = data1Low;
    }

    public Long getData1Low() 
    {
        return data1Low;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("bootCodeHigh", getBootCodeHigh())
            .append("bootCodeLow", getBootCodeLow())
            .append("bootCodeSendNum", getBootCodeSendNum())
            .append("syncCodeIntervalHigh", getSyncCodeIntervalHigh())
            .append("syncCodeIntervalLow", getSyncCodeIntervalLow())
            .append("data0High", getData0High())
            .append("data0Low", getData0Low())
            .append("data1High", getData1High())
            .append("data1Low", getData1Low())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
