package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 红外遥控组件库对象 t_components_library
 * 
 * @author liming
 * @date 2023-07-12
 */
public class ComponentsLibrary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 组件id */
    private Long id;

    /** 组件名称 */
    @Excel(name = "组件名称")
    private String name;

    /** 组件类型   1开关型  2加减形 */
    @Excel(name = "组件类型   1开关型  2加减形")
    private Long typeNum;

    /** 加减型  最大值 */
    @Excel(name = "加减型  最大值")
    private Long addSubMax;

    /** 加减型  最小值 */
    @Excel(name = "加减型  最小值")
    private Long addSubMin;

    /** 命令参数 */
    @Excel(name = "命令参数")
    private String dictateParameter;

    /** 默认值 */
    @Excel(name = "默认值")
    private String defValue;

    /** 重复码 */
    @Excel(name = "重复码")
    private Long repeatCode;

    /** 状态（0使用中 1未使用） */
    @Excel(name = "状态", readConverterExp = "0=使用中,1=未使用")
    private String status;

    /** 删除标志（0代表存在 2代表删除） */
    private String delFlag;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setTypeNum(Long typeNum) 
    {
        this.typeNum = typeNum;
    }

    public Long getTypeNum() 
    {
        return typeNum;
    }
    public void setAddSubMax(Long addSubMax) 
    {
        this.addSubMax = addSubMax;
    }

    public Long getAddSubMax() 
    {
        return addSubMax;
    }
    public void setAddSubMin(Long addSubMin) 
    {
        this.addSubMin = addSubMin;
    }

    public Long getAddSubMin() 
    {
        return addSubMin;
    }
    public void setDictateParameter(String dictateParameter) 
    {
        this.dictateParameter = dictateParameter;
    }

    public String getDictateParameter() 
    {
        return dictateParameter;
    }
    public void setDefValue(String defValue) 
    {
        this.defValue = defValue;
    }

    public String getDefValue() 
    {
        return defValue;
    }
    public void setRepeatCode(Long repeatCode) 
    {
        this.repeatCode = repeatCode;
    }

    public Long getRepeatCode() 
    {
        return repeatCode;
    }
    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }
    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("typeNum", getTypeNum())
            .append("addSubMax", getAddSubMax())
            .append("addSubMin", getAddSubMin())
            .append("dictateParameter", getDictateParameter())
            .append("defValue", getDefValue())
            .append("repeatCode", getRepeatCode())
            .append("status", getStatus())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
